Bug 253544 - security/p5-openxpki, security/p5-openxpki-i18n: Update to 3.10.2
Summary: security/p5-openxpki, security/p5-openxpki-i18n: Update to 3.10.2
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL: https://github.com/openxpki/openxpki/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-15 20:48 UTC by Sergei Vyshenski
Modified: 2021-03-20 13:54 UTC (History)
1 user (show)

See Also:


Attachments
patch to update two ports (9.66 KB, patch)
2021-02-15 20:48 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update two ports (9.66 KB, patch)
2021-02-16 12:18 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update the port (9.57 KB, patch)
2021-03-20 13:54 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2021-02-15 20:48:07 UTC
Created attachment 222476 [details]
patch to update two ports

- Update two ports sharing the same distribution:
	3.8.1 -> 3.10.1 (major stable release)
Changes: https://github.com/openxpki/openxpki/compare/v3.8.1...v3.10.1
- Update git submodule openxpki-config 3.6 -> 3.10

- "portlint -AC" gives non-relevant warnings.
- "portclippy Makefile" is happy.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
12.2-RELEASE-p3
pkg 1.16.2
poudriere 3.3.6
perl 5.32.1
openssl 1.1.1h
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
Comment 1 Sergei Vyshenski 2021-02-16 12:18:01 UTC
Created attachment 222486 [details]
patch to update two ports

- Update two ports sharing the same distribution:
	3.8.1 -> 3.10.2 (major stable release)
Changes: https://github.com/openxpki/openxpki/compare/v3.8.1...v3.10.2
- Update git submodule openxpki-config 3.6 -> 3.10

- "portlint -AC" gives non-relevant warnings.
- "portclippy Makefile" is happy.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
12.2-RELEASE-p3
pkg 1.16.2
poudriere 3.3.6
perl 5.32.1
openssl 1.1.1h
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
Comment 2 Sergei Vyshenski 2021-03-20 13:54:56 UTC
Created attachment 223451 [details]
patch to update the port

- Update two ports sharing the same distribution:
	3.8.1 -> 3.10.2 (major stable release)
Changes: https://github.com/openxpki/openxpki/compare/v3.8.1...v3.10.2
- Update git submodule openxpki-config 3.6 -> 3.10

- Update Makefile to comply with approved PR #246196
to fix usage of USE_GITHUB, multiple downloads, and WRKSRC_SUBDIR.

- "portlint -AC" gives non-relevant warnings.
- "portclippy Makefile" is happy.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
12.2-RELEASE-p4
pkg 1.16.3
poudriere 3.3.6
perl 5.32.1
openssl 1.1.1h
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.